Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ProfileManager.SharedProfile

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile
  - - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.CustomProfile
    - - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.SharedProfile

All Implemented Interfaces:
  `java.lang.Comparable<ProfileManager.Profile>`

Enclosing class:
  ProfileManager

    public final class ProfileManager.SharedProfile
    extends ProfileManager.CustomProfile

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.CustomProfile

`fManager`

### Constructor Summary

Constructors
`SharedProfile​(java.lang.String oldName, java.util.Map<java.lang.String,​java.lang.String> options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ProfileManager.Profile o)`
`java.lang.String` `getID()`
`boolean` `isProfileToSave()`
`boolean` `isSharedProfile()`
`ProfileManager.Profile` `rename​(java.lang.String name, ProfileManager manager)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.CustomProfile

`getManager, getName, getSettings, setManager, setSettings`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile

`hasEqualSettings, isBuiltInProfile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedProfile

    public SharedProfile​(java.lang.String oldName,
                         java.util.Map<java.lang.String,​java.lang.String> options)

### Method Detail

#### rename

    public ProfileManager.Profile rename​(java.lang.String name,
                                         ProfileManager manager)

Overrides:
  `rename` in class `ProfileManager.CustomProfile`

#### getID

    public java.lang.String getID()

Overrides:
  `getID` in class `ProfileManager.CustomProfile`

#### compareTo

    public final int compareTo​(ProfileManager.Profile o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<ProfileManager.Profile>`
Overrides:
  `compareTo` in class `ProfileManager.CustomProfile`

#### isProfileToSave

    public boolean isProfileToSave()

Overrides:
  `isProfileToSave` in class `ProfileManager.CustomProfile`

#### isSharedProfile

    public boolean isSharedProfile()

Overrides:
  `isSharedProfile` in class `ProfileManager.Profile`